<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row">
                    <div class="col-4 d-flex justify-content-center" n:if="$meeting->getImagePreview()">
                        <img n:img="$meeting->getImagePreview(), '420x200', 'fit'" class="img-fluid align-self-center">
                    </div>
                    <div class="col-{$meeting->getImagePreview() ? 8 : 12}">

                        <div class="row form-group">
                            <div class="col-3">{_'extract.meeting.detail.term'}</div>
                            <div class="col-9">{$meeting->getTermClever()}</div>
                        </div>

                        <div class="row form-group" n:if="$meeting->isSetPlace()">
                            <div class="col-3">{_'extract.meeting.detail.place'}</div>
                            <div class="col-9">
                                <a href="{$meeting->getPlaceLinkToMap()}" target="_blank"><i class="fas fa-map-marker-alt"></i> {$meeting->getPlaceName()}</a>
                            </div>
                        </div>

                        <div class="row form-group">
                            <div class="col-3">{_'extract.meeting.detail.number-of-logged-users'}</div>
                            <div class="col-9" n:snippet="snipNumberOfUsers">{$meeting->getNumberOfUsers()}</div>
                        </div>

                        <div class="row form-group">
                            <div class="col-12" n:snippet="snipUsersControl">
                                {if $meeting->isUserLogged($loggedUser)}
                                    <a href="#"
                                       data-link="{link logout! id => $meeting->getId()}"
                                       data-confirm="{_'extract.meeting.detail.users.log-out.confirm'}"
                                       class="ajax btn btn-sm btn-outline-danger">
                                        <i class="fas fa-minus"></i> {_'extract.meeting.detail.users.log-out'}
                                    </a>
                                {else}
                                    <a n:href="login! id => $meeting->getId()" n:if="! $meeting->isUserLogged($loggedUser)" class="ajax btn btn-sm btn-outline-primary">
                                        <i class="fas fa-plus"></i> {_'extract.meeting.detail.users.log-in'}
                                    </a>
                                {/if}
                            </div>
                        </div>

                    </div>
                </div>

                {* USERS *}
                <div class="row mt-4" n:snippet="snipUsers">
                    <div class="col-12" n:if="$meeting->getUsers()->count()">
                        <h4>{_'extract.meeting.detail.users.title'}</h4>

                        <div class="row">
                            <div class="col-4" n:foreach="$meeting->getUsers() as $_user">
                                <a href="#"
                                   data-link="{link logoutUser! id => $meeting->getId(), userId => $_user->getId()}"
                                   data-confirm="{_'extract.meeting.detail.users.log-out-user.confirm'}"
                                   class="fas fa-times text-danger"></a> {$_user->getFullName()}
                            </div>
                        </div>
                    </div>
                </div>

                {* CONTENT *}
                <div class="row mt-4" n:if="$meeting->getContent()">
                    <div class="col-12">
                        <h4>{_'extract.meeting.detail.content.title'}</h4>

                        {$meeting->getContent()|noescape}
                    </div>
                </div>

                {* FILES *}
                <div class="row mt-4" n:if="$meeting->getFiles()->count()">
                    <div class="col-12">
                        <h4>{_'extract.meeting.detail.files.title'}</h4>
                    </div>
                    <div class="col-12 table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                            <tr>
                                <th>{_'extract.meeting.detail.file.name'}</th>
                                <th class="text-right">{_'extract.meeting.detail.file.size'}</th>
                                <th class="text-right">{_'extract.meeting.detail.file.last-update-at'}</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr n:foreach="$meeting->getFiles() as $file">
                                <td>
                                    <a n:href="downloadFile! hash => $file->getHash()">
                                        {$file->getName()}
                                    </a></td>
                                <td class="text-right">{$file->getSizeInUnit()}</td>
                                <td class="text-right">{$file->getLastUpdateAt()|date:'d.m.Y H:i'}</td>
                                <th class="text-right">
                                    <a n:href="downloadFile! hash => $file->getHash()" class="btn btn-xs btn-outline-primary">
                                        <i class="fas fa-download"></i> {_'extract.meeting.detail.file.action.download'}
                                    </a>
                                </th>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>